#include<stdio.h>
int main()
{
	int prvibroj,drugibroj,novibroj,pbdesetice,pbjedinice,dbdesetice,dbjedinice;
	
	// pbdesetice = PrviBroj Desetice
	// dbdesetice = DrugiBroj Desetice
	// pbjedinice = PrviBroj Jedinice
	// dbjedinice = DrugiBroj Jedinice
	
	//Unos Podataka//
	
	printf("Unesite Prvi Broj: ");
	scanf("%i", &prvibroj);  
	
	printf("Unesite Drugi Broj: ");
	scanf("%i", &drugibroj);  
	
	//Odredjivanje desetica i jedinica//
	
	pbdesetice = (prvibroj % 100) / 10;
	pbjedinice = prvibroj % 10;
	
	dbdesetice = (drugibroj % 100) / 10;
	dbjedinice = drugibroj % 10;
	
	//Provera ako su varijable razlicite//
	
	if (pbdesetice > dbdesetice && pbjedinice > dbjedinice)
	{
		novibroj = ( pbdesetice * 10 ) + pbjedinice;
	}
	else if (pbdesetice < dbdesetice && pbjedinice < dbjedinice)
	{
		novibroj = ( dbdesetice * 10 ) + dbjedinice;
	}
	else if (pbdesetice < dbdesetice && pbjedinice > dbjedinice)
	{
		novibroj = ( dbdesetice * 10 ) + pbjedinice;
	}
	else if (pbdesetice > dbdesetice && pbjedinice < dbjedinice)
	{
		novibroj = ( pbdesetice * 10 ) + dbjedinice;
	}
	
	//Provera ako su jednake neke od varijabla//
	
	else if ( pbdesetice == dbdesetice && pbjedinice < dbjedinice )
	{
		novibroj = ( pbdesetice * 100 ) + ( pbdesetice * 10 ) + dbjedinice;
	}
	else if ( pbdesetice == dbdesetice && pbjedinice > dbjedinice )
	{
		novibroj = ( pbdesetice * 100 ) + ( pbdesetice * 10 ) + pbjedinice;
	}
	else if ( pbdesetice > dbdesetice && pbjedinice == dbjedinice )
	{
		novibroj = ( pbjedinice * 10 ) + pbjedinice + ( pbdesetice * 100 );
	}
	else if ( pbdesetice < dbdesetice && pbjedinice == dbjedinice )
	{
		novibroj = ( dbjedinice * 10 ) + pbjedinice + ( dbdesetice * 100 );
	}
	else if ( pbdesetice == dbdesetice && pbjedinice == dbjedinice )
	{
		novibroj = (( dbdesetice * 1000 ) + ( dbdesetice * 100 )) + (pbjedinice * 10) + pbjedinice;
	}
	
	//Ispisivanje novonastalog broja//
	
	printf("%i", novibroj);
	
	return 0;
}